buildinfo

# BuildInfo

###
Related Doc: package buildinfo

#### object BuildInfo extends Product with Serializable

This object was generated by sbt-buildinfo.

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BuildInfo
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val BuildDate: String

   The value is "2020-08-17T13:45:23.567Z".

5. #### val GitBranch: String

   The value is "416dcc9e2ff7e1675fe352fc452ac2d5abbedfa9".

6. #### val GitCommitAuthor: String

   The value is "GitHub".

7. #### val GitCommitDate: String

   The value is "2020-08-17T13:41:25.000Z".

8. #### val GitDescribe: String

   The value is "v0.17.0-2-g416dcc9".

9. #### val GitHeadRev: String

   The value is "416dcc9e2ff7e1675fe352fc452ac2d5abbedfa9".

10. #### val GitRepoIsClean: String

    The value is "false".

11. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

12. #### val builtAt: String

    The value is "2020-08-17".

13. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### val libraryDependencies: Seq[String]

    The value is scala.collection.Seq("org.scala-lang:scala-library:2.11.12", "com.typesafe.play:twirl-api:1.1.1", "com.typesafe.play:play-server:2.5.19", "com.typesafe.play:play-test:2.5.19:test", "com.typesafe.play:play-omnidoc:2.5.19:docs", "com.typesafe.play:play-netty-server:2.5.19", "com.typesafe.play:play-logback:2.5.19", "com.typesafe.play:play:2.5.19", "com.typesafe.play:filters-helpers:2.5.19", "org.joda:joda-convert:2.0.2", "org.webjars.npm:hmrc-frontend:1.15.1", "org.scalatest:scalatest:3.0.8:test", "org.pegdown:pegdown:1.6.0:test", "org.jsoup:jsoup:1.11.3:test", "com.typesafe.play:play-test:2.5.19:test", "org.scalacheck:scalacheck:1.14.1:test", "com.googlecode.htmlcompressor:htmlcompressor:1.5.2:test", "com.github.pathikrit:better-files:3.8.0:test", "com.lihaoyi:pprint:0.5.3:test", "org.bitbucket.cowwoc:diff-match-patch:1.2:test", "com.typesafe.play:play-ws:2.5.19:test", "uk.gov.hmrc:play-frontend-govuk:0.49.0-play-25", "org.scalatestplus.play:scalatestplus-play:2.0.1:test", "com.github.ghik:silencer-plugin:1.4.4:plugin->default(compile)", "com.github.ghik:silencer-lib:1.4.4:provided").

20. #### val name: String

    The value is "play-frontend-hmrc".

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### val playVersion: String

    The value is "Play25".

25. #### val sbtVersion: String

    The value is "0.13.17".

26. #### val scalaVersion: String

    The value is "2.11.12".

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### val toMap: Map[String, Any]

29. #### val toString: String

    Definition Classes
      BuildInfo → AnyRef → Any

30. #### val twirlCompileTemplates_sources: Seq[File]

    The value is scala.collection.Seq(new java.io.File("/home/jenkins/workspace/PlatUI/Libraries/play-frontend-hmrc/src/main/play-25/twirl/uk/gov/hmrc/hmrcfrontend/views/components/hmrcLanguageSelect.scala.html"), new java.io.File("/home/jenkins/workspace/PlatUI/Libraries/play-frontend-hmrc/src/main/play-25/twirl/uk/gov/hmrc/hmrcfrontend/views/components/hmrcNotificationBadge.scala.html"), new java.io.File("/home/jenkins/workspace/PlatUI/Libraries/play-frontend-hmrc/src/main/play-25/twirl/uk/gov/hmrc/hmrcfrontend/views/components/hmrcTimeoutDialog.scala.html"), new java.io.File("/home/jenkins/workspace/PlatUI/Libraries/play-frontend-hmrc/src/main/play-25/twirl/uk/gov/hmrc/hmrcfrontend/views/components/hmrcInternalHeader.scala.html"), new java.io.File("/home/jenkins/workspace/PlatUI/Libraries/play-frontend-hmrc/src/main/play-25/twirl/uk/gov/hmrc/hmrcfrontend/views/components/hmrcHeader.scala.html"), new java.io.File("/home/jenkins/workspace/PlatUI/Libraries/play-frontend-hmrc/src/main/play-25/twirl/uk/gov/hmrc/hmrcfrontend/views/components/hmrcReportTechnicalIssue.scala.html"), new java.io.File("/home/jenkins/workspace/PlatUI/Libraries/play-frontend-hmrc/src/main/play-25/twirl/uk/gov/hmrc/hmrcfrontend/views/components/hmrcAccountMenu.scala.html"), new java.io.File("/home/jenkins/workspace/PlatUI/Libraries/play-frontend-hmrc/src/main/play-25/twirl/uk/gov/hmrc/hmrcfrontend/views/components/hmrcBanner.scala.html"), new java.io.File("/home/jenkins/workspace/PlatUI/Libraries/play-frontend-hmrc/src/main/play-25/twirl/uk/gov/hmrc/hmrcfrontend/views/components/hmrcCurrencyInput.scala.html"), new java.io.File("/home/jenkins/workspace/PlatUI/Libraries/play-frontend-hmrc/src/main/play-25/twirl/uk/gov/hmrc/hmrcfrontend/views/components/hmrcNewTabLink.scala.html"), new java.io.File("/home/jenkins/workspace/PlatUI/Libraries/play-frontend-hmrc/src/main/play-25/twirl/uk/gov/hmrc/hmrcfrontend/views/components/hmrcPageHeading.scala.html")).

31. #### val version: String

    The value is "0.18.0-play-25".

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped